Bug 821714 - XFCE: Screen lock icon missing
XFCE: Screen lock icon missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 08:15 EDT by Zdenek Wagner
Modified: 2013-02-17 06:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Wagner 2012-05-15 08:15:31 EDT
Description of problem:
Screen lock icon is missing and cannot be easily added to the panel

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Right-click on the panel offers a few applets to be added but activation of xscreensaver (screen locking) is missing

Expected results:
Offer activation of screensaver similarly as in gnome

Additional info:
It is common if a computer is used in an office that a user needs to leave the computer in the middle of work so that logout is unsuitable. In such a case it is important to have the possibility to activate password protected screensaver by a single click. I know that it can be done from a command promp and can be configured as an application launcher but screen locking is an important action and should have its own icon.
Comment 1 Bill Nottingham 2012-05-15 10:56:20 EDT
What desktop are you referring to?
Comment 2 Zdenek Wagner 2012-05-16 03:22:10 EDT
I refer to Xfce. Sorry for not being clear enough, it was in the product name but was somehow removed automatically during the submitting process.

Before submitting I found on some forum that the icon appears within the actions (shutdown, restart etc.) but it is not the case of Fedora 16.
Comment 3 Kevin Fenzi 2012-05-16 10:56:36 EDT
Xfce 4.10 has a lock screen action button you can add to the panel, but 4.8 doesn't. ;( 

You could setup a custom command for this... 'xscreensaver-command -lock'
Comment 4 Christoph Wickert 2012-10-06 19:52:05 EDT
Better use 'xdg-screensaver lock', it's screensaver-agnostic.
Comment 5 Fedora End Of Life 2013-01-16 18:21:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 20:44:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.